Bug 729296 - Operations which alter resource's availability should trigger immediate avail check after successfully finished.
Operations which alter resource's availability should trigger immediate avail...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Operations (Show other bugs)
3.0.1
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: RHQ 4.4.0
Assigned To: Jay Shaughnessy
Mike Foley
: FutureFeature, Improvement
Depends On:
Blocks: 741450
  Show dependency treegraph
 
Reported: 2011-08-09 08:08 EDT by Ondřej Žižka
Modified: 2013-09-01 06:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:00:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondřej Žižka 2011-08-09 08:08:08 EDT
Example:

JBossAS5's shutdown operation leaves JBoss AS UP. That's... non-optimal, at least.

See the screenhost if you like.
Comment 1 Heiko W. Rupp 2011-08-09 08:15:55 EDT
Funny, I was recently also thinking about this. Same for operations that e.g. create new child resources.
Comment 2 Jay Shaughnessy 2012-02-28 14:59:06 EST
The support for this has been implemented in the jshaughn/avail branch and
applied to AS and AS5 plugin's operations.

Other plugins still need to be reviewed.
Comment 3 Jay Shaughnessy 2012-03-30 16:29:48 EDT
All of our relevant plugins have been updated and the avail branch is in master.
Comment 4 Heiko W. Rupp 2013-09-01 06:00:04 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.